/* $Id: mach64_detect.h,v 1.2 1998/11/02 04:38:38 brian Exp $
******************************************************************************

   ATI Mach64 Series -- definitions and data structures for mach64_detect.c

   Copyright (C) 1997		Simon Hammett

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _MACH64_DETECT_H__
#define _MACH64_DETECT_H__

/* Prototypes */
int mach64_detect( struct kgi_display* dpy );
int pci_detect( struct kgi_display* dpy );
void detect_ramsize( struct kgi_display* dpy );
void detect_aperture( struct kgi_display* dpy );
void detect_dac( struct kgi_display* dpy );
void get_registers( struct kgi_display *dpy );



#endif
